.wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] {
        --ls-link-justify: start;
        --ls-curr-flag-size: 30px;
        --ls-list-bg: var(--mc-bg);
        --ls-arrow-color: var(--fc-arrowColor);
        position: relative;
        display: flex;
        flex-direction: column;
        width: -moz-fit-content;
        width: fit-content;
        height: 30px;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        display: grid;
        grid-auto-columns: auto;
        grid-auto-flow: column;
        grid-gap: 5px;
        align-items: center;
        cursor: pointer;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
        width: var(--ls-curr-flag-size);
        height: var(--ls-curr-flag-size);
        border-radius: 50%;
        overflow: hidden;
        transition: box-shadow 0.3s linear;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] img[_ngcontent-wlc-app-c2430178861] {
        display: block;
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861] {
        --ls-arrow-color: var(--mc-baseMain);
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] {
        transform: rotate(0.5turn);
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-lang[_ngcontent-wlc-app-c2430178861] {
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
        text-transform: none;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] {
        transition: all 0.3s linear;
        margin: auto;
        color: var(--ls-arrow-color);
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] .wlc-icon-content {
        display: flex;
        align-items: center;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__current.single-lang[_ngcontent-wlc-app-c2430178861] {
        cursor: auto;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current.single-lang[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] {
        visibility: hidden;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow: 0 0 0 4px var(--mc-main);
        }
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover.single-lang
          .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow: none;
        }
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        position: absolute;
        z-index: 3;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        position: relative;
        display: grid;
        grid-gap: 10px;
        grid-template-columns: repeat(3, 1fr);
        padding: 10px;
        border-radius: 10px;
        background: var(--ls-list-bg);
        filter: drop-shadow(0 0 5px #000);
      }
      .wlc-body--os-macos .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861],
      .wlc-body--os-ios .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        -webkit-backdrop-filter: drop-shadow(0 0 5px #000);
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861]:before {
        content: '';
        position: absolute;
        display: block;
        width: 0;
        height: 0;
        border-right: 10px solid transparent;
        border-left: 10px solid transparent;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__item--active[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        box-shadow:
          0 0 0 4px var(--mc-main),
          0 0 7px 7px rgba(0, 0, 0, 0.6);
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        position: relative;
        display: grid;
        grid-auto-columns: auto;
        grid-auto-flow: column;
        grid-gap: 10px;
        align-items: center;
        justify-content: var(--ls-link-justify);
        text-decoration: none;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow: 0 0 0 4px var(--mc-main);
        }
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861],
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-modal__link-lang[_ngcontent-wlc-app-c2430178861] {
          visibility: visible;
          opacity: 1;
        }
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseMain);
        font-style: normal;
        font-weight: 400;
        font-size: 1rem;
        line-height: 1.45;
        transition: opacity 0.3s linear;
        position: absolute;
        bottom: -30px;
        left: 50%;
        z-index: 2;
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 20px;
        padding: 0 10px;
        white-space: nowrap;
        background-color: var(--mc-bg100);
        border-radius: 20px;
        transform: translate(-50%);
        visibility: hidden;
        opacity: 0;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861]:before {
        content: '';
        position: absolute;
        top: -4px;
        border: 4px solid var(--mc-bg100);
        rotate: 45deg;
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        width: 30px;
        height: 30px;
        border-radius: 50%;
        overflow: hidden;
        margin: 4px;
        box-shadow: 0 0 0 4px var(--mc-bg300);
        transition: box-shadow 0.2s ease-out;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861]:hover {
          box-shadow:
            0 0 0 4px var(--mc-main),
            0 0 7px 7px var(--mc-bg-o8);
        }
      }
      .wlc-language-selector--theme-default[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] img[_ngcontent-wlc-app-c2430178861] {
        display: block;
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--border-around[_nghost-wlc-app-c2430178861] {
        --ls-curr-flag-size: 27px;
        --ls-arrow-color: var(--fc-arrowColor);
        min-width: 90px;
        height: 40px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--border-around[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        transition: border 0.3s linear;
        height: 40px;
        padding: 5px;
        border: 2px solid var(--mc-baseOpacity);
        border-radius: 10px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--border-around[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861] {
        --ls-arrow-color: var(--mc-main);
        border: 2px solid var(--mc-main);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default.wlc-language-selector--border-around[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:not(.wlc-language-selector__current--opened):hover {
          --ls-arrow-color: var(--mc-baseMain);
          border: 2px solid var(--mc-baseMain);
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--border-around[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
        box-shadow: none;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-top-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        transform: translateY(-10px);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-top-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861]:before {
        right: 10px;
        bottom: -10px;
        border-top: 10px solid var(--mc-bg);
        border-bottom: 0;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-top-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        right: -6px;
        bottom: 100%;
        padding-bottom: 10px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-bottom-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        transform: translateY(10px);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-bottom-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861]:before {
        top: -10px;
        right: 10px;
        border-top: 0;
        border-bottom: 10px solid var(--mc-bg);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-bottom-left[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        top: 100%;
        right: -5px;
        padding-top: 10px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--dropdown-with-arrow[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        right: -15px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] {
        --ls-curr-columns: auto 1fr auto;
        --ls-curr-bg-active: transparent;
        --ls-curr-bg-hover: transparent;
        --ls-curr-flag-size: 20px;
        --ls-curr-flag-margin-right: 5px;
        --ls-curr-flag-justify-self: initial;
        --ls-curr-padding: 5px 15px;
        --ls-dropdown-margin: 5px 0 0;
        --ls-dropdown-width: 100%;
        --ls-list-bg: var(--mc-bg);
        --ls-list-padding: 10px;
        --ls-arrow-color: var(--mc-baseOpacity);
        --ls-curr-bg: transparent;
        width: 100%;
        max-width: 275px;
        height: auto;
        margin: 5px 0;
        border: 0;
        border-radius: 20px;
      }
      @media (min-width: 1024px) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] {
          --ls-curr-bg: transparent;
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        transition: background 0.3s linear;
        grid-template-columns: var(--ls-curr-columns);
        min-height: 40px;
        padding: var(--ls-curr-padding);
        background: var(--ls-curr-bg);
        border-radius: 20px;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-lang[_ngcontent-wlc-app-c2430178861] {
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
        justify-self: var(--ls-curr-flag-justify-self);
        margin-right: var(--ls-curr-flag-margin-right);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861]
        img[_ngcontent-wlc-app-c2430178861] {
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861] {
        --ls-arrow-color: #fff;
        background: var(--ls-curr-bg-active);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-lang[_ngcontent-wlc-app-c2430178861] {
        color: #fff;
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861]
        + .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        margin: var(--ls-dropdown-margin);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:not(.wlc-language-selector__current--opened):hover {
          --ls-arrow-color: currentColor;
        }
      }
      @media (pointer: fine) and (min-width: 1024px) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:not(.wlc-language-selector__current--opened):hover {
          background: var(--ls-curr-bg-hover);
        }
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:not(.wlc-language-selector__current--opened):hover.single-lang {
          background: var(--ls-curr-bg);
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        transition: margin 0.3s linear;
        position: relative;
        width: var(--ls-dropdown-width);
        overflow: hidden;
        transform-origin: top;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861] {
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
        display: -webkit-box;
        box-orient: vertical;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        word-break: break-word;
        -webkit-line-clamp: 1;
        display: inline-block;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown.top[_ngcontent-wlc-app-c2430178861] {
        position: absolute;
        bottom: calc(100% + 10px);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        grid-template-columns: 1fr;
        padding: var(--ls-list-padding);
        border-radius: 10px;
        filter: none;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        grid-gap: 0;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        width: 20px;
        height: 20px;
        box-shadow: 0 0 0 4px var(--mc-bg300);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861]
        img[_ngcontent-wlc-app-c2430178861] {
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861] {
        position: relative;
        bottom: 0;
        left: 0;
        background: none;
        transform: none;
        visibility: visible;
        opacity: 1;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861]:before {
        display: none;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow:
            0 0 0 4px var(--mc-main),
            0 0 3px 3px rgba(0, 0, 0, 0.6);
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact[_nghost-wlc-app-c2430178861] {
        --ls-curr-padding: 5px 10px;
        --ls-dropdown-width: 100%;
        --ls-dropdown-pos-top: auto;
        --ls-dropdown-pos-bottom: 100%;
        --ls-dropdown-arrow-pos-top: 100%;
        --ls-dropdown-arrow-pos-bottom: auto;
        --ls-dropdown-arrow-transform: translate(-50%, -50%) rotate(45deg);
        --ls-dropdown-arrow-margin: 0 0 10px;
        --ls-dropdown-transform-origin: center bottom;
        --ls-dropdown-margin: 0;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact.wlc-language-selector--dropdown-bottom[_nghost-wlc-app-c2430178861] {
        --ls-dropdown-pos-top: 100%;
        --ls-dropdown-pos-bottom: auto;
        --ls-dropdown-arrow-pos-top: auto;
        --ls-dropdown-arrow-pos-bottom: 100%;
        --ls-dropdown-arrow-transform: translate(-50%, 50%) rotate(45deg);
        --ls-dropdown-arrow-margin: 5px 0 0;
        --ls-dropdown-transform-origin: center top;
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
        box-shadow:
          0 0 0 4px var(--mc-main),
          0 0 3px 3px rgba(0, 0, 0, 0.6);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        position: absolute;
        top: var(--ls-dropdown-pos-top);
        bottom: var(--ls-dropdown-pos-bottom);
        left: 50%;
        transform: translate(-50%);
        transform-origin: var(--ls-dropdown-transform-origin);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        margin: var(--ls-dropdown-arrow-margin);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861]:after {
        content: '';
        position: absolute;
        top: var(--ls-dropdown-arrow-pos-top);
        bottom: var(--ls-dropdown-arrow-pos-bottom);
        left: 50%;
        display: block;
        width: 8px;
        height: 8px;
        border-radius: 0;
        background: inherit;
        transform: var(--ls-dropdown-arrow-transform);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact.wlc-language-selector--state-compact[_nghost-wlc-app-c2430178861] {
        --ls-curr-columns: 1fr;
        --ls-curr-bg: transparent;
        --ls-curr-bg-hover: transparent;
        --ls-curr-bg-active: transparent;
        --ls-curr-flag-justify-self: center;
        --ls-curr-flag-size: 24px;
        --ls-curr-flag-margin-right: 0;
        --ls-link-justify: center;
        --ls-list-padding: 15px 0;
      }
      .wlc-language-modal__list[_ngcontent-wlc-app-c2430178861] {
        position: relative;
        display: grid;
        grid-gap: 20px;
        grid-template-columns: repeat(auto-fit, minmax(60px, 1fr));
        padding: 15px;
        border-radius: 10px;
      }
      .wlc-language-modal__item[_ngcontent-wlc-app-c2430178861] {
        display: flex;
        justify-content: center;
      }
      .wlc-language-modal__item--active[_ngcontent-wlc-app-c2430178861] .wlc-language-modal__link-flag[_ngcontent-wlc-app-c2430178861] {
        box-shadow:
          0 0 0 4px var(--mc-main),
          0 0 7px 7px rgba(0, 0, 0, 0.6);
      }
      .wlc-language-modal__link[_ngcontent-wlc-app-c2430178861] {
        position: relative;
        display: grid;
        grid-auto-columns: auto;
        grid-auto-flow: column;
        grid-gap: 10px;
        align-items: center;
        justify-content: var(--ls-link-justify);
        text-decoration: none;
      }
      @media (pointer: fine) {
        .wlc-language-modal__link[_ngcontent-wlc-app-c2430178861]:hover .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow: 0 0 0 4px var(--mc-main);
        }
        .wlc-language-modal__link[_ngcontent-wlc-app-c2430178861]:hover .wlc-language-selector__link-lang[_ngcontent-wlc-app-c2430178861],
        .wlc-language-modal__link[_ngcontent-wlc-app-c2430178861]:hover .wlc-language-modal__link-lang[_ngcontent-wlc-app-c2430178861] {
          visibility: visible;
          opacity: 1;
        }
      }
      .wlc-language-modal__link-lang[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseMain);
        font-style: normal;
        font-weight: 400;
        font-size: 1rem;
        line-height: 1.45;
        transition: opacity 0.3s linear;
        position: absolute;
        bottom: -30px;
        left: 50%;
        z-index: 2;
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 20px;
        padding: 0 10px;
        white-space: nowrap;
        background-color: var(--mc-bg100);
        border-radius: 20px;
        transform: translate(-50%);
        visibility: hidden;
        opacity: 0;
      }
      .wlc-language-modal__link-lang[_ngcontent-wlc-app-c2430178861]:before {
        content: '';
        position: absolute;
        top: -4px;
        border: 4px solid var(--mc-bg100);
        rotate: 45deg;
      }
      .wlc-language-modal__link-flag[_ngcontent-wlc-app-c2430178861] {
        width: 55px;
        height: 55px;
        border-radius: 50%;
        overflow: hidden;
        margin: 4px;
        box-shadow: 0 0 0 4px var(--mc-bg300);
        transition: box-shadow 0.2s ease-out;
      }
      @media (pointer: fine) {
        .wlc-language-modal__link-flag[_ngcontent-wlc-app-c2430178861]:hover {
          box-shadow: 0 0 7px 7px var(--mc-bg-o8);
        }
      }
      .wlc-language-modal__link-flag[_ngcontent-wlc-app-c2430178861] img[_ngcontent-wlc-app-c2430178861] {
        display: block;
        width: 100%;
        height: 100%;
      }
      @media (pointer: fine) {
        .wlc-language-modal__link[_ngcontent-wlc-app-c2430178861]:hover .wlc-language-modal__link-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow:
            0 0 0 4px var(--mc-main),
            0 0 3px 3px rgba(0, 0, 0, 0.6);
        }
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] {
        --ls-link-justify-content: start;
        --ls-link-padding: 0 15px;
        --ls-link-hover: var(--mc-bg100-o4);
        --ls-link-icon-margin: 0 10px 0 0;
        --ls-link-arrow: block;
        --ls-curr-flag-size: 20px;
        --ls-icon-width: auto;
        position: relative;
        padding: 5px 0 0;
      }
      .wlc-language-selector--theme-wolf.wlc-language-selector--state-compact[_nghost-wlc-app-c2430178861] {
        --ls-link-justify-content: center;
        --ls-link-padding: 0;
        --ls-link-background: none;
        --ls-link-icon-margin: 0;
        --ls-link-hover: var(--mc-bg300);
        --ls-link-arrow: none;
        --ls-icon-width: 100%;
        max-width: 50px;
        margin: auto;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf.wlc-language-selector--state-compact[_nghost-wlc-app-c2430178861]:hover .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
          width: 50px;
          margin: auto;
          background: var(--ls-link-hover);
        }
      }
      .wlc-language-selector--theme-wolf.wlc-language-selector--state-expanded[_nghost-wlc-app-c2430178861] {
        --ls-link-background: var(--mc-bg300-o4);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861] {
        position: absolute;
        top: 0;
        left: 48px;
        display: none;
        width: -moz-min-content;
        width: min-content;
        min-width: 40px;
        padding: 0 0 0 10px;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        gap: 0;
        padding: 0;
        background: var(--mc-bg500);
        border-radius: 8px;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        transition: all 0.3s linear;
        width: 24px;
        height: 24px;
        margin: 0;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
          .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861]:hover {
          border: 2px solid var(--mc-main);
        }
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link--active[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        background: none;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__item[_ngcontent-wlc-app-c2430178861] {
        position: relative;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__item[_ngcontent-wlc-app-c2430178861]:first-child:before {
        content: '';
        position: absolute;
        top: 20px;
        left: -5px;
        border-right: 10px solid transparent;
        border-bottom: 10px solid var(--mc-bg500);
        transform: rotate(45deg);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] {
        visibility: hidden;
        overflow: hidden;
        opacity: 0;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] .wlc-language-selector__list[_ngcontent-wlc-app-c2430178861] {
        display: grid;
        gap: 5px;
        padding: 5px;
        background: var(--mc-bg);
        border-bottom-left-radius: 8px;
        border-bottom-right-radius: 8px;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861] .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        transition: all 0.3s linear;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link--active[_ngcontent-wlc-app-c2430178861] {
        background: var(--mc-bg100-o4);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861]
          .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861]:hover {
          color: var(--mc-baseSecond, var(--mc-baseMain));
          background: var(--mc-bg100-o4);
        }
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__dropdown[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__item--active[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        background: var(--mc-bg100-o4);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseMain);
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
        display: flex;
        align-items: center;
        min-height: 40px;
        padding: 10px;
        border-radius: 8px;
        text-decoration: none;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        box-sizing: content-box;
        border: 2px solid var(--mc-bg500);
        width: 20px;
        height: 20px;
        margin: 0 10px 0 0;
        border-radius: 50%;
        overflow: hidden;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] img[_ngcontent-wlc-app-c2430178861] {
        display: block;
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__item--active[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseThird, var(--mc-baseMain));
        font-weight: 700;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__item--active[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__link-flag[_ngcontent-wlc-app-c2430178861] {
        border: 2px solid var(--mc-main);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        transition: background 0.3s linear;
        display: flex;
        gap: 10px;
        align-items: center;
        justify-content: var(--ls-link-justify-content);
        min-height: 40px;
        padding: var(--ls-link-padding);
        background: var(--ls-link-background);
        border-radius: 8px;
        cursor: pointer;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
        width: var(--ls-curr-flag-size);
        height: var(--ls-curr-flag-size);
        border-radius: 50%;
        overflow: hidden;
        transition: box-shadow 0.3s linear;
        box-shadow: 0 0 0 2px none;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] img[_ngcontent-wlc-app-c2430178861] {
        display: block;
        width: 100%;
        height: 100%;
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861] {
        width: 100%;
        border-radius: 8px 8px 0 0;
        background: var(--mc-bg);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861]
        .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseThird, var(--mc-baseMain));
        transform: rotate(180deg);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened.wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover {
          background: var(--mc-bg);
        }
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] {
        display: var(--ls-link-arrow);
        margin-left: auto;
        color: var(--mc-baseMain);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] svg path,
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861] svg {
        transition: fill 0.3s linear;
        width: auto;
        height: auto;
        vertical-align: middle;
        fill: var(--mc-baseMain);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current-lang[_ngcontent-wlc-app-c2430178861] {
        color: var(--mc-baseMain);
        font-style: normal;
        font-weight: 400;
        font-size: 1.4rem;
        line-height: 1.45;
        transition: color 0.3s linear;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover {
          background: var(--ls-link-hover);
        }
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__current-flag[_ngcontent-wlc-app-c2430178861] {
          box-shadow: 0 0 0 2px var(--mc-main);
        }
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861]
          svg
          path,
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__current-arrow[_ngcontent-wlc-app-c2430178861]
          svg {
          fill: var(--mc-baseThird);
        }
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover
          .wlc-language-selector__current-lang[_ngcontent-wlc-app-c2430178861] {
          color: var(--mc-baseSecond, var(--mc-baseMain));
        }
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__icon[_ngcontent-wlc-app-c2430178861] {
        width: auto;
        margin: var(--ls-link-icon-margin);
      }
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__icon[_ngcontent-wlc-app-c2430178861] svg path,
      .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861] .wlc-language-selector__icon[_ngcontent-wlc-app-c2430178861] svg {
        display: block;
        width: 16px;
        height: 16px;
        fill: var(--mc-baseMain);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-wolf[_nghost-wlc-app-c2430178861]:hover .wlc-language-selector__dropdown--hover[_ngcontent-wlc-app-c2430178861] {
          display: block;
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact.wlc-language-selector--state-compact[_nghost-wlc-app-c2430178861]
        .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        border: none;
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long.wlc-language-selector--compact.wlc-language-selector--state-compact[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:hover {
          border: none;
        }
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861] {
        border: 1px solid var(--mc-baseOpacity);
      }
      .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861] .wlc-language-selector__current--opened[_ngcontent-wlc-app-c2430178861] {
        border: 1px solid var(--mc-secondary);
      }
      @media (pointer: fine) {
        .wlc-language-selector--theme-default.wlc-language-selector--theme-mod-long[_nghost-wlc-app-c2430178861]
          .wlc-language-selector__current[_ngcontent-wlc-app-c2430178861]:not(.wlc-language-selector__current--opened):hover {
          border: 1px solid var(--mc-secondary);
        }
      }
